﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Controls.Layouts;
using Infragistics.Controls.Layouts.Primitives;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace TileMaganerDataBinding
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
         
        private void Expand_Click(object sender, RoutedEventArgs e)
        {

            if (((sender as Button).TemplatedParent as TileHeaderPresenter).Tile.ActualHeight == 51.46)
            {
                ((sender as Button).TemplatedParent as TileHeaderPresenter).Tile.Height = 20;
                Image image = new Image();
                image.Height = 10;
                image.Width = 10;
                image.Source = new BitmapImage(new Uri("epExpandButton.jpg", UriKind.RelativeOrAbsolute));
                (sender as Button).Content = image;
            }
            else if (((sender as Button).TemplatedParent as TileHeaderPresenter).Tile.ActualHeight == 20)
            {
                ((sender as Button).TemplatedParent as TileHeaderPresenter).Tile.Height = 51.46;
                Image image = new Image();
                image.Height = 10;
                image.Width = 10;
                image.Source = new BitmapImage(new Uri("collapse_button.png", UriKind.RelativeOrAbsolute));
                (sender as Button).Content = image;
                ((sender as Button).TemplatedParent as TileHeaderPresenter).Tile.UpdateLayout();
            }
        }
    }
}
